# Project Management API

This page describes how to list projects using the API.

## List Projects

### URI

GET /projects

::: tip
This method can only be requested 60 times within 60 minutes.
:::

### Request Message

None

### Response Messages

- **200:**

| Name           | Type   | Description                                                  |
| -------------- | ------ | ------------------------------------------------------------ |
| projectID      | String | Unique identifier of the project. 'default' represents the default project. |
| projectName    | String | Name of the project.                                         |
| description    | String | Description of the project.                                  |

- **401:** API Key authentication failed.
- **403:** API Key does not have permission to access.

### Request Example

```bash
curl -u key:secret -X GET {api}/projects
```

### Response Example

```json
[
    {
        "projectID": "p1234567",
        "projectName": "My Project",
        "description": "Project for IoT devices"
    },
    {
        "projectID": "default",
        "projectName": "Default Project",
        "description": "Default project for all deployments"
    }
]
```